Debian Bug report logs - #636211
netcfg: "Enter the passphrase for WPA PSK" missing a "go back" button

version graph

Package: netcfg; Maintainer for netcfg is Debian Install System Team <debian-boot@lists.debian.org>; Source for netcfg is src:netcfg.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Mon, 1 Aug 2011 12:57:01 UTC

Severity: normal

Found in version netcfg/1.66

Fixed in version netcfg/1.71

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#636211; Package netcfg. (Mon, 01 Aug 2011 12:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 01 Aug 2011 12:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: netcfg: "Enter the passphrase for WPA PSK" missing a "go back" button
Date: Mon, 1 Aug 2011 14:53:13 +0200
Package: netcfg
Version: 1.66
Severity: normal

Hello,

I tried to use the freshly uploaded WPA support. However, my network
uses a two-phase authentication (anonymous then radius), so the "Enter
the passphrase for WPA PSK" question does not make sense here. Not
really a problem by itself (missing feature). But the problem is that
there is no "go back" button to go back to using e.g. eth0 instead of
wlan0.

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 
Samuel Thibault <samuel.thibault@fnac.net>
* B kicks DW (non mais franchement)
* DW was kicked
 -+- #ens-mim - comment ça hopeless ? -+-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#636211; Package netcfg. (Sat, 07 Apr 2012 23:42:02 GMT) Full text and rfc822 format available.

Message #8 received at 636211@bugs.debian.org (full text, mbox):

From: Mesutcan Kurt <mesutcank@gmail.com>
To: gaudenz@debian.org
Cc: debian-boot@lists.debian.org
Subject: about bug #636211
Date: Tue, 3 Apr 2012 18:40:12 +0300
[Message part 1 (text/plain, inline)]
Hello,

Firstly, I applied for Debian-installer improvements (GSoC 2012). My
proposal is at [0].

I want to fix some bugs related to my project to understand
debian-installer well.

I found bug #636211 [1] but I can't reproduce the problem. When I looked at
the source code there should be a back button. Maybe request is for going
back to interface select menu when back button is selected. I can do that
but I'm not sure I understand the right thing.

I cloned latest code from GIT repository at Alioth and working on that code.

[0] http://wiki.debian.org/SummerOfCode2012/StudentApplications/MesutcanKurt
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=636211
-- 
Mesutcan Kurt
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#636211; Package netcfg. (Sat, 07 Apr 2012 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 07 Apr 2012 23:48:03 GMT) Full text and rfc822 format available.

Message #13 received at 636211@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Mesutcan Kurt <mesutcank@gmail.com>
Cc: gaudenz@debian.org, 636211@bugs.debian.org
Subject: Re: netcfg: "Enter the passphrase for WPA PSK" missing a "go back" button (Was: about bug #636211)
Date: Sun, 8 Apr 2012 01:35:08 +0200
Hello,

Please always include useful keywords in the Subject. We don't know bug
numbers by heart. Also always include the bug in Cc, it's better to
record too much information than too little.

Mesutcan Kurt, le Tue 03 Apr 2012 18:40:12 +0300, a écrit :
> I found bug #636211 [1] but I can't reproduce the problem. When I looked at the
> source code there should be a back button.

But for some reason it's not shown on the screen, that's where
investigation is needed.

> Maybe request is for going back to interface select menu when back
> button is selected.

For instance, yes. Anything that is "back", even if it's step by step
(WEP vs WPA, ESSID, then eventually interface selection). I've just
retried today's netboot image, and all these dialogs are missing a
"back" button:

- interface selection
- ESSID
- encryption type (WEP vs WPA)
- passphrase

Samuel




Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Fri, 15 Jun 2012 06:06:03 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Fri, 15 Jun 2012 06:06:03 GMT) Full text and rfc822 format available.

Message #18 received at 636211-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 636211-close@bugs.debian.org
Subject: Bug#636211: fixed in netcfg 1.71
Date: Fri, 15 Jun 2012 06:02:31 +0000
Source: netcfg
Source-Version: 1.71

We believe that the bug you reported is fixed in the latest version of
netcfg, which is due to be installed in the Debian FTP archive:

netcfg-static_1.71_i386.udeb
  to main/n/netcfg/netcfg-static_1.71_i386.udeb
netcfg_1.71.dsc
  to main/n/netcfg/netcfg_1.71.dsc
netcfg_1.71.tar.gz
  to main/n/netcfg/netcfg_1.71.tar.gz
netcfg_1.71_i386.udeb
  to main/n/netcfg/netcfg_1.71_i386.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636211@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated netcfg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 15 Jun 2012 07:22:39 +0200
Source: netcfg
Binary: netcfg netcfg-static
Architecture: source i386
Version: 1.71
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 netcfg     - Configure the network (udeb)
 netcfg-static - Configure a static network (udeb)
Closes: 636211 649747
Changes: 
 netcfg (1.71) unstable; urgency=low
 .
   * Team upload
 .
   [ Robert Millan ]
   * Ignore pfsync0, pflog0 and usbus0 devices on GNU/kFreeBSD.
   * Use 127.0.1.1 hack in /etc/hosts only on kernels that support it.
     (Closes: #649747)
 .
   [ Samuel Thibault ]
   * Also probe /dev/eth* and wl* on hurd-i386.
 .
   [ Sorina Sandu ]
   * Fix debconf backup capability handling.
     (Closes: #636211)
 .
   [ Aurelien Jarno ]
   * Add ppc64 to the Architecture field.
 .
   [ Updated translations ]
   * Amharic (am.po) by Tegegne Tefera
   * Arabic (ar.po) by Ossama Khayat
   * Asturian (ast.po) by Mikel González
   * Bulgarian (bg.po) by Damyan Ivanov
   * Bengali (bn.po) by Ayesha Akhtar
   * Tibetan (bo.po) by Tennom
   * Catalan (ca.po) by Jordi Mallach
   * Welsh (cy.po) by Dafydd Tomos
   * Danish (da.po) by Joe Hansen
   * German (de.po) by Holger Wansing
   * Greek, Modern (1453-) (el.po) by galaxico
   * Estonian (et.po) by Mattias Põldaru
   * Basque (eu.po) by Piarres Beobide
   * Finnish (fi.po) by Timo Jyrinki
   * Galician (gl.po) by Jorge Barreiro
   * Hebrew (he.po) by Omer Zak
   * Hungarian (hu.po) by SZERVÁC Attila
   * Indonesian (id.po) by Mahyuddin Susanto
   * Icelandic (is.po) by Sveinn í Felli
   * Italian (it.po) by Milo Casagrande
   * Central Khmer (km.po) by Khoem Sokhem
   * Kannada (kn.po) by Prabodh C P
   * Lao (lo.po) by Anousak Souphavanh
   * Lithuanian (lt.po) by Rimas Kudelis
   * Latvian (lv.po) by RÅ«dolfs Mazurs
   * Macedonian (mk.po) by Arangel Angov
   * Malayalam (ml.po) by Praveen Arimbrathodiyil
   * Marathi (mr.po) by sampada
   * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
   * Dutch (nl.po) by Jeroen Schot
   * Panjabi (pa.po) by A S Alam
   * Polish (pl.po) by Marcin Owsiany
   * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
   * Romanian (ro.po) by Ioan Eugen Stan
   * Slovenian (sl.po) by Vanja Cvelbar
   * Serbian (sr.po) by Karolina Kalic
   * Vietnamese (vi.po) by Hai-Nam Nguyen
   * Traditional Chinese (zh_TW.po) by Yao Wei (魏銘廷)
Checksums-Sha1: 
 f8af98d58ce516b6c4f59985aa96d02c9eac9f1f 1805 netcfg_1.71.dsc
 fae25b29d31dc9877e723f579835aaa72e723a76 579858 netcfg_1.71.tar.gz
 af9750fdaa11df2a3f0e6aff937b828be953abcc 390134 netcfg_1.71_i386.udeb
 43d3d56c77eb0f7d32043704dca4ee4ac0862178 307534 netcfg-static_1.71_i386.udeb
Checksums-Sha256: 
 fdba2f32065184ae61a26f5b300c6198446f1b40a9242ac2f1127907ad49771a 1805 netcfg_1.71.dsc
 9f7145615f8e54d1634948f49750e0d91c7d0fb54f3a6fa35c9c3088f0cc8d45 579858 netcfg_1.71.tar.gz
 5339d58a636d78470507c7b62c3d430c7f6e383196203da4b601e76766d3b115 390134 netcfg_1.71_i386.udeb
 a9c55ce41fdaae9ede54c5390bc46cc3f94edbabda12a21ecb74aaab0939a31e 307534 netcfg-static_1.71_i386.udeb
Files: 
 399ec2f179cb14435547709834f9f2de 1805 debian-installer optional netcfg_1.71.dsc
 3a70c1fb215b7883bb949af3db29b34c 579858 debian-installer optional netcfg_1.71.tar.gz
 6f63d771781e11a335848e9545d78e7c 390134 debian-installer optional netcfg_1.71_i386.udeb
 179bd72a10e58ad8d95a5970418c5198 307534 debian-installer optional netcfg-static_1.71_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT9rKi4cvcCxNbiWoAQL2CRAAjNajWU/PaJ+RkiLecz551GVKW7usPXGE
9x97K5gs2tY5iJLp63F4w4lkxcqxVEYJ13RHH7rqWyYySosYNAsLGpZTkLSxPF6l
2JsQfe6m2GQKVHG7dktqLwc870AzLbOVSlYflV+1hVzR4DWn6YXY55cJydDmeFKp
mTXAb8PyzOVtBrWs+rJhRBDnoqZRlanx43DNNHU7TWWmU+75KmVya7aW6d6ZL6st
f13HwWpJytmDttBKA7wfcksOd+TC5Y/TTaSl4XuZFIfb/xYkbo6/5enS0cfcrnQJ
zy4ctv1te5INYELaBET19nJh9MRKe3+JWk1uoo6b/94sdGvuFwPblAzBb2JOBK/C
XXkYR0wFUxVZsciRwAubSXtuAfMrl2kyMED1euv0HMcJuVn4bhk6FwOq1dKmVnJ1
Cn2+Lviefe00WCqNf6yaB/Wp3Vhy0lhcKAS7KCo+jMlMvpFa1rsYJXVDkLnmG13S
7M46yvIyj4AumKmiqyQbwSW4e9HkTeadJwjksrkrSWsP7a6M72UhTS3EiFaK+q8W
VXXEWRVMNj9AU4mMPbJwvLc29dRW1w/6L4dvruvU85vzVPLGAQPZVCgJ0B1vL4/z
nD/GXQ2LAEwYiedSqyTz0h1PfPcd9Kx0JwcipumZZw/Z2aDVvIff8c8p4FLmo8Gi
vVLH4WXwSSo=
=PXSO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Jul 2012 07:26:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:47:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.